/*
    This file is part of ktvision, a front end to frame grabber cards 
	for the KDE-Project
    
    Copyright (C) 1998 Oliver Burtchen <oliver.burtchen@rz.hu-berlin.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#ifndef PictureDlg_included
#define PictureDlg_included

#include "PictureDlgData.h"
#include <kapp.h>
#include "action.h"


class PictureDlg : public PictureDlgData
{
    Q_OBJECT

public:

    PictureDlg
    (
        QWidget* parent = 0,
        const char* name = 0,
		QStrList * actionText = 0
    );

    virtual ~PictureDlg();
	void setValue(int,int);

	QScrollBar * brightS;
	QScrollBar * hueS;
	QScrollBar * contrastS;
	QScrollBar * colorS;
	
	
signals:
	void valueChanged(int, int);

protected slots:
	void brightSlot(int i){ emit valueChanged(BrightAction, i);}
	void hueSlot(int i){ emit valueChanged(HueAction, i);}
	void contrastSlot(int i){ emit valueChanged(ContrastAction, i);}
	void colorSlot(int i){ emit valueChanged(ColorAction, i);}
	


};
#endif // PictureDlg_included
